# Generated from memory_test_fix-1.5.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name memory_test_fix

Name: rubygem-%{gem_name}
Version: 1.5.1
Release: 1%{?dist}
Summary: Use SQLite3 in-memory database for Rails tests
License: MIT
URL: http://wiki.github.com/mvz/memory_test_fix
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.2.0
# BuildRequires: rubygem(minitest) >= 5.2
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(rspec) >= 3.1
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
Makes use of SQLite3 in-memory database possible for your
Rails tests by preloading the schema.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
# rspec spec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/fixtures
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/Changelog.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/memory_test_fix.gemspec
%{gem_instdir}/spec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 1.5.1-1
- Initial package
